<?php
/**
 * ------------------------------------------------------------------------
 * JA Smashboard Template
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2011 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - Copyrighted Commercial Software
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites:  http://www.joomlart.com -  http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */


defined('_JEXEC') or die;

jimport('joomla.application.module.helper');

if (!isset($this->error)) {
	$this->error = JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
	$this->debug = false;
}

//get language and direction
$doc = JFactory::getDocument();
$this->language = $doc->language;
$this->direction = $doc->direction;

$params = JFactory::getApplication()->getTemplate(true)->params;
$theme = $params->get('theme', '');

$sitename = $params->get('sitename') ? $params->get('sitename') : JFactory::getConfig()->get('sitename');
$slogan = $params->get('slogan');
$logotype = $params->get('logotype', 'text');
$logoimage = $logotype == 'image' ? $params->get('logoimage', '') : '';
if ($logoimage) {
	$logoimage = ' style="background-image:url('.JURI::base(true).'/'.$logoimage.');"';
}

?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
<head>
	<title><?php echo $this->error->getCode(); ?> - <?php echo $this->title; ?></title>
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/error.css" type="text/css" />
	<?php if($theme && is_file(T3_TEMPLATE_PATH . '/css/themes/' . $theme . '/error.css')):?>
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/themes/<?php echo $theme ?>/error.css" type="text/css" />
	<?php endif; ?>
	<link href='http://fonts.googleapis.com/css?family=Handlee' rel='stylesheet' type='text/css' />
</head>
<body class="page-error">
	<div class="error">
		<div id="outline">
			<div id="errorboxoutline">
				
				
				<div class="error-message"><h2><?php echo $this->error->getMessage(); ?></h2></div>
				
				<div id="errorboxbody">
					<?php echo JText::_('JERROR_LAYOUT_PLEASE_TRY_ONE_OF_THE_FOLLOWING_PAGES'); ?> 
				</div>

				<?php if (count(JModuleHelper::getModules('error-menu'))) : ?>
				<div id="error-nav" class="error-nav">
				<?php
					$modules	= JModuleHelper::getModules('error-menu');
					$params		= array('style' => 'raw');
					
					foreach ($modules as $module) {
						echo JModuleHelper::renderModule($module, $params);
					}
				?>
				</div>
				<?php endif ?>
			</div>
		</div>
	</div>
	<script type="text/javascript">
		//<![CDATA[
		document.onkeyup = function (e) {
			if((e || window.event).keyCode == 36){
				window.location.href = '<?php echo $this->baseurl ?>';
			}
		}
		//]]>
	</script>
</body>
</html>
