<?php
/**
 * @package		Joomla.Site
 * @subpackage	com_search
 * @copyright	Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

JLoader::register('SMBHelper', T3_TEMPLATE_PATH . '/templateHelper.php');

$params = JFactory::getApplication()->getTemplate(true)->params;
?>

<?php if($params->get('tpl_enable_qsearch', 1)): ?>
<?php 
	//collect all ids
	$jaids = array();
	$k2ids = array();

	foreach($this->results as $result){
		$slug = explode(':', $result->slug);

		$result->id = $slug[0];

		if(strpos($result->href, 'option=com_content') !== false){
			$jaids[] = $result->id;
			$result->ja = true;
		} else if(isset($result->extra_fields_search)){
			$k2ids[] = $result->id;
			$result->k2 = true;
		}
	}

	$db = JFactory::getDbo();
	$jaresults = false;
	
	if(count($jaids)){
		$query = $db->getQuery(true);
		$query->select('id, images');
		$query->from('#__content');
		$query->where('id IN (' . implode(',', $jaids) . ')');
		
		$db->setQuery($query);
		$jaresults = $db->loadAssocList('id');
	}
?>

<ul class="qs-result clearfix">
<?php foreach($this->results as $result) : ?>
	<li class="qs-item">
		<?php
			$imgsrc = T3_TEMPLATE_URL . '/images/qs-placeholder.jpg';
			$imgalt = $result->title;

			//if the result is from joomla content
			if(isset($result->ja) && $result->ja){

				if($jaresults && isset($jaresults[$result->id])){
					$images = $jaresults[$result->id]['images'];

					if($images){
						$images = json_decode($images);
					}

					if($images && $images->image_intro){
						$imgsrc = htmlspecialchars($images->image_intro);
						$imgalt = htmlspecialchars($images->image_intro_alt);

						//get or build the cache
						$cachesrc = SMBHelper::getQSCache($imgsrc);
						if($cachesrc){
							$imgsrc = $cachesrc;
						}
					}
				}

				//k2 already have their own cache
			} else if(isset($result->k2) && $result->k2){
				if (JFile::exists(JPATH_SITE.'/media/k2/items/cache/'.md5("Image".$result->id).'_XS.jpg')){
					$imgsrc = JURI::root(true).'/media/k2/items/cache/'.md5("Image".$result->id).'_XS.jpg';
				}
			}
		?>
		<img class="qs-image" src="<?php echo $imgsrc; ?>" alt="<?php echo $imgalt; ?>"/>
		<div class="qs-inner">
			<div class="result-title">
				<?php echo $this->pagination->limitstart + $result->count.'. ';?>
				<?php if ($result->href) :?>
					<a class="qs-link" href="<?php echo JRoute::_($result->href); ?>"<?php if ($result->browsernav == 1) :?> target="_blank"<?php endif;?>>
						<?php echo $this->escape($result->title);?>
					</a>
				<?php else:?>
					<?php echo $this->escape($result->title);?>
				<?php endif; ?>
			</div>

			<?php if ($result->section) : ?>
			<div class="result-category">
				<span class="small<?php echo $this->pageclass_sfx; ?>">
					(<?php echo $this->escape($result->section); ?>)
				</span>
			</div>
			<?php endif; ?>

			<div class="result-text">
				<?php echo $result->text; ?>
			</div>
	
	
			<?php if ($this->params->get('show_date')) : ?>
			<div class="result-created<?php echo $this->pageclass_sfx; ?>">
				<?php echo JText::sprintf('JGLOBAL_CREATED_DATE_ON', $result->created); ?>
			</div>
			<?php endif; ?>
		</div>
	</li>
<?php endforeach; ?>
</ul>

<div class="qs-pagination pagination">
	<?php echo $this->pagination->getPagesLinks(); ?>
</div>

<?php else :?>
	<!-- the default template -->
	<dl class="search-results<?php echo $this->pageclass_sfx; ?>">
	<?php foreach($this->results as $result) : ?>
		<dt class="result-title">
			<?php echo $this->pagination->limitstart + $result->count.'. ';?>
			<?php if ($result->href) :?>
				<a href="<?php echo JRoute::_($result->href); ?>"<?php if ($result->browsernav == 1) :?> target="_blank"<?php endif;?>>
					<?php echo $this->escape($result->title);?>
				</a>
			<?php else:?>
				<?php echo $this->escape($result->title);?>
			<?php endif; ?>
		</dt>
		<?php if ($result->section) : ?>
			<dd class="result-category">
				<span class="small<?php echo $this->pageclass_sfx; ?>">
					(<?php echo $this->escape($result->section); ?>)
				</span>
			</dd>
		<?php endif; ?>
		<dd class="result-text">
			<?php echo $result->text; ?>
		</dd>
		<?php if ($this->params->get('show_date')) : ?>
			<dd class="result-created<?php echo $this->pageclass_sfx; ?>">
				<?php echo JText::sprintf('JGLOBAL_CREATED_DATE_ON', $result->created); ?>
			</dd>
		<?php endif; ?>
	<?php endforeach; ?>
	</dl>

	<div class="pagination">
		<?php echo $this->pagination->getPagesLinks(); ?>
	</div>
	
<?php endif; ?>