<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_content
 *
 * @copyright   Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers');
JHtml::addIncludePath(T3_PATH.'/html/com_content');
JHtml::addIncludePath(dirname(dirname(__FILE__)));
JHtml::_('behavior.caption');

JLoader::register('SMBHelper', T3_TEMPLATE_PATH . '/templateHelper.php');

// If the page class is defined, add to class as suffix.
// It will be a separate class if the user starts it with a space
?>
<div class="ja-infinity-wraper">
	<div class="ja-infinity blog-featured<?php echo $this->pageclass_sfx;?> clearfix">

		<?php /* We should not care about this - we should set show_page_heading = NO ?>
		<?php if ($this->params->get('show_page_heading') != 0) : ?>
		<div class="page-header">
			<h1>
			<?php echo $this->escape($this->params->get('page_heading')); ?>
			</h1>
		</div>
		<?php endif; ?>
		<?php */ ?>

		<?php $leadingcount = 0; ?>
		<?php if (!empty($this->lead_items)) : ?>
		
			<?php foreach ($this->lead_items as &$item) : ?>	
				<?php
					$this->item = &$item;
					echo $this->loadTemplate('item');
				?>
			<?php endforeach; ?>

		<?php endif; ?>

		<?php $introcount = 0; ?>
		<?php if (!empty($this->intro_items)) : ?>

			<?php foreach ($this->intro_items as $key => &$item) : ?>
				<?php
					$this->item = &$item;
					echo $this->loadTemplate('item');
				?>
			<?php endforeach; ?>
		
		<?php endif; ?>

		<?php /* We should not care about this - we should set #Links = 0 ?>
		<?php if (!empty($this->link_items)) : ?>
			<section class="items-more">
				<h3><?php echo JText::_('COM_CONTENT_MORE_ARTICLES'); ?></h3>
				<?php echo $this->loadTemplate('links'); ?>
			</section>
			<hr class="divider-vertical" />
		<?php endif; ?>
		<?php */ ?>
		
		<?php if ($this->params->def('show_pagination', 2) == 1  || ($this->params->get('show_pagination') == 2 && $this->pagination->get('pages.total') > 1)) : ?>
			<nav id="page-nav" class="pagination">
				<?php
					$urlparams = '';
					if (!empty($this->pagination->_additionalUrlParams)){
						foreach ($this->pagination->_additionalUrlParams as $key => $value) {
							$urlparams .= '&' . $key . '=' . $value;
						}
					}

					$next = $this->pagination->get('pages.current') * $this->pagination->limit;
					$nextlink = JRoute::_($urlparams . '&' . $this->pagination->prefix . 'limitstart=' . $next);
				?>
				<a id="page-next-link" href="<?php echo $nextlink ?>"></a>
			</nav>
		<?php endif; ?>
		
	</div>
</div>