<?php
/**
 * @package   T3 Blank
 * @copyright Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license   GNU General Public License version 2 or later; see LICENSE.txt
 */

/**
 * Mainbody 3 columns, content in center: sidebar1 - content - sidebar2
 */
defined('_JEXEC') or die;
?>
<?php

  // Layout configuration
  $layout_config = json_decode ('{
    "one_sidebar1": {
      "default" : [ "span9 pull-left"         , "span3"             ],
      "wide"    : [],
      "xtablet" : [ "span8 pull-left"         , "span4"             ],
      "tablet"  : [ "span9"                   , "span9 spanfirst"   ]
    },
    "no_sidebar": {
      "default" : [ "span9" ]
    }
  }');

  // positions configuration
  $sidebar1 = 'sidebar-1';

  // Detect layout
  if ($this->countModules($sidebar1)) {
    $layout = 'one_sidebar1';
  } else {
    $layout = 'no_sidebar';
  }
  $layout = $layout_config->$layout;

  $col = 0;
?>

<section id="t3-mainbody" class="container t3-mainbody">
	<div class="row">
	  <!-- MAIN CONTENT -->
	  <div id="t3-content" class="t3-content <?php echo $this->getClass($layout, $col) ?>" <?php echo $this->getData ($layout, $col++) ?>>
	    <jdoc:include type="message" />
	    <jdoc:include type="component" />
	  </div>
	  <!-- //MAIN CONTENT -->

    <?php if ($this->countModules($sidebar1)) : ?>
    <!-- SIDEBAR 1 -->
    <div id="t3-sidebar-1" class="t3-sidebar t3-sidebar-1<?php $this->_c($sidebar1, $this->getData($layout, $col++, true)) ?>" tabindex="-1" role="dialog" aria-hidden="true">
      <div class="sidebar-inner">
        <div class="sidebar-scroller">
          <jdoc:include type="modules" name="<?php $this->_p($sidebar1) ?>" style="T3Xhtml" />
        </div>
      </div>
      
      <?php if($this->getParam('t3-rmvlogo', 1)): ?>
      <div class="poweredby">
        <small><a class="t3-logo t3-logo-dark" href="http://t3-framework.org" title="Powered By T3 Framework" target="_blank">Powered by <strong>T3 Framework</strong></a></small>
      </div>
      <?php endif; ?>
    </div>
    <!-- //SIDEBAR 1 -->
    <?php endif ?>
	</div>
</section>
